<div class="page--header-title d-flex justify-content-center align-items-center shadow">
  <h1>Create Wallet</h1>
</div>
<div class="main-wrapper bg-white p-4 mt-3">
  <div class="d-flex justify-content-center align-items-center flex-row">
    <div class="w-20 mb-auto">
      <img class="create-wallet-icon " src="../../../assets/images/wallet.png"/>
    </div>
    <form class="w-80">
      <mat-form-field class="w-100">
        <textarea id="wallet-name-input" matInput cdkTextareaAutosize
                  [ngModelOptions]="{standalone: true}"
                  placeholder="Wallet Name" [(ngModel)]="wallet.name"></textarea>
      </mat-form-field>
      <mat-error *ngIf="!this.isNameValid">
        Please input wallet name
      </mat-error>
    </form>
  </div>
  <mat-form-field class="w-80 ml-auto mt-3">
    <mat-select placeholder="Currency" [(value)]="wallet.currencyCode">
      <mat-option *ngFor="let currency of currencyList" [value]="currency.code">
        {{currency.description}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <div class="w-80 ml-auto">
    <mat-form-field class="w-100" floatLabel="never">
      <input matInput id="wallet-amount-input"
             [(ngModel)]="wallet.amount" currencyMask
             placeholder="Initial Balance"
             [options]="{ prefix: wallet.currencyCode + ' ', thousands: ',', decimal: '.', precision: 0, allowNegative: false}">
    </mat-form-field>
    <mat-error *ngIf="!this.isAmountValid">
      Please input valid amount
    </mat-error>
  </div>
  <div>
    <button mat-raised-button class="mr-2" (click)="onBack()">Back</button>
    <button mat-raised-button id="create-wallet-button" (click)="createWallet()">
      Create Wallet
    </button>
  </div>
</div>
